# PoissonDenoiseShader

## Import

PoissonDenoiseShader is an addon, and must be imported explicitly, see Installation#Addons.

    import { PoissonDenoiseShader } from 'three/addons/shaders/PoissonDenoiseShader.js';

## Properties

### .PoissonDenoiseShader : ShaderMaterial~Shader (inner, constant)

Poisson Denoise Shader.

References:

- Self-Supervised Poisson-Gaussian Denoising.
- Poisson2Sparse: Self-Supervised Poisson Denoising From a Single Image

## Source

examples/jsm/shaders/PoissonDenoiseShader.js